{
  "layer": "top",
  "position": "top",
  "mod": "dock",
  "exclusive": true,
  "passthrough": false,
  "gtk-layer-shell": true,
  "height": 0,
  "modules-left": ["clock", "custom/power_btn", "custom/lock_screen", "niri/workspaces"],
  "modules-center": ["niri/window"],
  "modules-right": [
    "network",
    "bluetooth",
    "pulseaudio",
    "pulseaudio#microphone",
    "tray"
  ],
  "niri/workspaces": {
    "all-outputs": true,
    "on-click": "activate",
    "persistent-workspaces": {
      "1": [],
      "2": [],
      "3": [],
      "4": [],
      "5": []
    }
  },
  "custom/launch_wofi": {
    "format": "",
    "on-click": "pkill wofi; wofi -n",
    "tooltip": false
  },
  "custom/lock_screen": {
    "format": "",
    "on-click": "sh -c '(sleep 0.5s; swaylock)' & disown",
    "tooltip": false
  },
  "custom/light_dark": {
    "format": "󰐾",
    "on-click": "~/.config/waybar/scripts/baraction light",
    "tooltip": false
  },
  "custom/power_btn": {
    "format": "",
    "on-click": "sh -c '(sleep 0.5s; wlogout --protocol layer-shell)' & disown",
    "tooltip": false
  },
  "cpu": {
    "interval": 10,
    "format": " {usage}%",
    "max-length": 10,
    "on-click": "kitty --start-as=fullscreen --title btop sh -c 'btop'"
  },
  "disk": {
    "interval": 30,
    "format": "󰋊 {percentage_used}%",
    "path": "/",
    "tooltip": true,
    "tooltip-format": "HDD - {used} used out of {total} on {path} ({percentage_used}%)",
    "on-click": "kitty --start-as=fullscreen --title btop sh -c 'btop'"
  },
  "memory": {
    "interval": 30,
    "format": " {}%",
    "max-length": 10,
    "tooltip": true,
    "tooltip-format": "Memory - {used:0.1f}GB used",
    "on-click": "kitty --start-as=fullscreen --title btop sh -c 'btop'"
  },
  "custom/updates": {
    "format": "  {}",
    "tooltip-format": "{}",
    "escape": true,
    "return-type": "json",
    "exec": "~/.config/waybar/scripts/update-sys",
    "restart-interval": 60,
    "on-click": "kitty -e ~/.config/waybar/scripts/update-sys update",
    "tooltip": false
  },
  "tray": {
    "icon-size": 13,
    "tooltip": false,
    "spacing": 10
  },
  "clock": {
    "format": "{: %R   %d/%m}",
    "tooltip-format": "<big>{:%Y %B}</big>\n<tt><small>{calendar}</small></tt>"
  },
  "backlight": {
    "device": "intel_backlight",
    "format": "{icon} {percent}%",
    "format-icons": ["", "", ""],
    "on-scroll-up": "brightnessctl set 1%+",
    "on-scroll-down": "brightnessctl set 1%-",
    "min-length": 6
  },
  "battery": {
    "states": {
      "good": 95,
      "warning": 30,
      "critical": 20
    },
    "format": "{icon} {capacity}%",
    "format-charging": " {capacity}%",
    "format-plugged": " {capacity}%",
    "format-alt": "{time} {icon}",
    "format-icons": ["󰂎", "󰁺", "󰁻", "󰁼", "󰁽", "󰁾", "󰁿", "󰂀", "󰂁", "󰂂", "󰁹"]
  },
  "pulseaudio": {
    "format": "{icon} {volume}%",
    "tooltip": false,
    "format-muted": " Muted",
    "on-click": "pamixer -t",
    "on-scroll-up": "pamixer -i 5",
    "on-scroll-down": "pamixer -d 5",
    "scroll-step": 5,
    "format-icons": {
      "headphone": "",
      "hands-free": "",
      "headset": "",
      "phone": "",
      "portable": "",
      "car": "",
      "default": ["", "", ""]
    }
  },
  "pulseaudio#microphone": {
    "format": "{format_source}",
    "tooltip": false,
    "format-source": " {volume}%",
    "format-source-muted": " Muted",
    "on-click": "pamixer --default-source -t",
    "on-scroll-up": "pamixer --default-source -i 5",
    "on-scroll-down": "pamixer --default-source -d 5",
    "scroll-step": 5
  },
  "temperature": {
    "thermal-zone": 1,
    "format": "{temperatureF}°F ",
    "critical-threshold": 80,
    "format-critical": "{temperatureC}°C "
  },
  "network": {
    "format-wifi": "  {signalStrength}%",
    "format-ethernet": "󰈀 100% ",
    "tooltip-format": "Connected to {essid} {ifname} via {gwaddr}",
    "format-linked": "{ifname} (No IP)",
    "format-disconnected": "󰖪 0% ",
    "on-click": "~/.config/rofi/wifi/wifi.sh"
  },
  "bluetooth": {
    "format": " {status}",
    "format-disabled": "",
    "format-off": "",
    "interval": 30,
    "on-click": "blueman-manager",
    "format-no-controller": ""
  }
}
